package com.example.exvesta.navigation

import androidx.compose.runtime.Composable
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import androidx.navigation.compose.rememberNavController
import com.example.exvesta.Screans.Admin.AdminBow

import com.example.exvesta.Screans.Bowss
import com.example.exvesta.Screans.Home
import com.example.exvesta.Screans.Admin.HomeAdmin
import com.example.exvesta.Screans.Login
import com.example.exvesta.Screans.MyBows
import com.example.exvesta.Screans.Preloading
import com.example.exvesta.Screans.RegAuth
import com.example.exvesta.Screans.Registration
import com.example.exvesta.Screans.Wardrob


@Composable
fun Navigation(){
    val navController = rememberNavController()
    NavHost(navController = navController,//контроллер реагирующий и отвечающий за перемещения
        startDestination = "Preloading")
    {
        composable("Preloading"){
            Preloading(navController)
        }
        composable("RegAuth"){
            RegAuth(navController)
        }
        composable("Login"){
            Login(navController)
        }
        composable("Registration"){
            Registration(navController)
        }
        composable("Home"){
            Home(navController)
        }
        composable("Wardrob"){
            Wardrob(navController)
        }
        composable("Bowss"){
            Bowss(navController)
        }
        composable("MyBows"){
            MyBows(navController)
        }
        composable("HomeAdmin"){
            HomeAdmin(navController)
        }
        composable("AdminBow"){
            AdminBow(navController)
        }
    }
}